function validar(id,nombre){
	if($("#"+id+" input[name="+nombre+"]").attr("tipo")=="texto"){
		v=validar_texto("#"+id+" input[name="+nombre+"]")
		add_mensaje(v,"#"+id+" input[name="+nombre+"]","Ingrese un texto");
		r=r+v;
	}
	else if($("#"+id+" input[name="+nombre+"]").attr("tipo")=="entero"){
		v=validar_entero("#"+id+" input[name="+nombre+"]");
		add_mensaje(v,"#"+id+" input[name="+nombre+"]","Ingrese un numero valido");
		r=r+v;
	}
	else if($("#"+id+" input[name="+nombre+"]").attr("tipo")=="real"){
		v=validar_real("#"+id+" input[name="+nombre+"]");
		add_mensaje(v,"#"+id+" input[name="+nombre+"]","Ingrese un numero valido");
		r=r+v;
	}
	else if($("#"+id+" input[name="+nombre+"]").attr("tipo")=="dni"){
		v=validar_dni("#"+id+" input[name="+nombre+"]");
		add_mensaje(v,"#"+id+" input[name="+nombre+"]","Ingrese un dni valido");
		r=r+v;
	}
	else if($("#"+id+" select[name="+nombre+"]").attr("tipo")=="lista"){
		v=validar_lista("#"+id+" select[name="+nombre+"]");
		add_mensaje(v,"#"+id+" select[name="+nombre+"]","Elija un elemento de la lista");
		r=r+v;
	}
	else if($("#"+id+" input[name="+nombre+"]").attr("tipo")=="fecha"){
		v=validar_fecha("#"+id+" input[name="+nombre+"]");
		add_mensaje(v,"#"+id+" input[name="+nombre+"]","Ingrese una fecha correcta");
		r=r+v;
	}
	else if($("#"+id+" input[name="+nombre+"]").attr("tipo")=="hora"){
		v=validar_hora("#"+id+" input[name="+nombre+"]");
		add_mensaje(v,"#"+id+" input[name="+nombre+"]","Ingrese una hora correcta");
	}
	if($("#"+id+" textarea[name="+nombre+"]").attr("tipo")=="texto"){
		v=validar_texto("#"+id+" textarea[name="+nombre+"]")
		add_mensaje(v,"#"+id+" textarea[name="+nombre+"]","Ingrese un texto");
		r=r+v;
	}
}
function M(id,name){
	$("#"+id+" input[name="+name+"]").val($("#"+id+" input[name="+name+"]").val().toUpperCase());
}
function M2(id,name){
	$("#"+id+" textarea[name="+name+"]").val($("#"+id+" textarea[name="+name+"]").val().toUpperCase());
}
function validar_form(id){
	r=0;
	$("#"+id).find(':input').each(function(){
		validar(id,this.name);
		if(this.type=="text"){
			M(id,this.name);
		}
		else if($(this).attr("tipo")=="texto"){
			M2(id,this.name);
		}
	});
	return r;
}
function validar_form_flex(id){
	r=0;
	$("#"+id).find(':input[validar=true]').each(function(){
		validar(id,this.name);
		if(this.type=="text"){
			M(id,this.name);
		}
		if($(this).attr("tipo")=="texto"){
			M2(id,this.name);
		}
	});
	return r;
}
function add_mensaje(v,id,msg){
	if(v==0){
		$(id).attr("data-original-title","");
	}
	else if(v==1){
		$(id).attr("data-original-title",msg);
	}
}
function error(id){
	$(id).css("background-color","#f2dede");
	return 1;
}
function noerror(id){
	$(id).css("background-color","#ffffff");
	return 0;
}
function validar_texto(id){
	if($(id).val()=="" || $.trim($(id).val())==""){
		return error(id);
	}
	else{
		return noerror(id);
	}
}
function validar_lista(id){
	if($(id).val()==""){
		return error(id);
	}
	else{
		return noerror(id);
	}
}
function validar_entero(id){
	numero=$(id).val();
	alphanume=false;
	for(i=0;i<numero.length;i++){
		if(numero[i]<'0' || numero[i]>'9'){
			alphanume=true;
		}
	}
	if(numero=="" || alphanume==true){
		return error(id);
	}
	else{
		return noerror(id);
	}
}
function validar_real(id){
	numero=$(id).val();
	puntos=0;
	alphanume=false;
	for(i=0;i<numero.length;i++){
		if(numero[i]=='.'){
			puntos++;
		}
		else if(numero[i]<'0' || numero[i]>'9'){
			alphanume=true;
		}
	}
	if(numero=="" || numero[0]=='.' || puntos>1 || alphanume==true || numero[numero.length-1]=='.'){
		return error(id);
	}
	else{	
		return noerror(id);
	}
}
function validar_dni(id){
	dni=$(id).val();
	alphanume=false;
	for(i=0;i<dni.length;i++){
		if(dni[i]<'0' || dni[i]>'9'){
			alphanume=true;
		}
	}
	if(dni.length==8 && alphanume==false){
		return noerror(id);
	}
	else {
		return error(id);
	}
}
function validar_fecha(id){
	fecha=$(id).val();
	alphanume=false;
	guiones=0;
	error1=true;
	for(i=0;i<fecha.length;i++){
		if(fecha[i]!='-'){
			if(fecha[i]<'0'){
				alphanume=true;
			}
			else if(fecha[i]>'9'){
				alphanume=true;
			}
		}
		else{
			guiones++;
		}
	}
	if(fecha.length>8){
		if(fecha[4]=="-" || fecha[7]=="-"){
			error1=false;
		}
	}
	else{
		error1=true;
	}
	if(alphanume==false && error1==false && guiones==2){
		return noerror(id);
	}
	else {
		return error(id);
	}
}
function validar_hora(id){
	hora=$(id).val();
	alphanume=false;
	puntos=0;
	error1=true;
	for(i=0;i<hora.length;i++){
		if(hora[i]!=':'){
			if(hora[i]<'0'){
				alphanume=true;
			}
			else if(hora[i]>'9'){
				alphanume=true;
			}
		}
		else{
			puntos++;
		}
	}
	if(hora.length>4){
		error1=false;
	}
	else{
		error1=true;
	}
	if(alphanume==false && error1==false && puntos==2){
		return noerror(id);
	}
	else {
		return error(id);
	}
}